function DDMMYY=fDMY
% function DDMMYY=fDMY
% returns the day number in a DDMMYY format
% e.g. on 10 Aug 2012 it would yield 100812
%
% Florian Habermacher, SIAW-HSG 2012
DD=fstring(day(date));if length(DD)==1 DD=fstring('0',DD);end;
MM=fstring(month(date));if length(MM)==1 MM=fstring('0',MM);end;
YY=year(date);YY=fstring(YY-fround(YY,-2));if length(YY)==1 YY=fstring('0',YY);end;
DDMMYY=[DD MM YY];
