function fcsvwrite(fn,C)
% function fcsvwrite(fn,C)
% FH, 9.12.13, inspired from http://stackoverflow.com/questions/15077089/convert-numbers-to-strings-in-a-cell-array-in-matlab and http://stackoverflow.com/questions/7004146/matlab-write-cell-array-to-csv-file
% Writes cell C (containing strings and numbers) to CSV-file fn (if no extension [or .] is given, it adds a ".csv" to the filename fn
if sum(fn(1:end-1)=='.')==0
  if fn(end)~='.', fn=[fn,'.csv'];
  else fn=[fn,'csv'];
  end;
end;
% % cellarray
% C = {
%     'abc' [1]  [131]
%     'def' []   []
%     'gh'  [13] [999]
% };
%Convert all numbers into strings:
C_in_str = cellfun(@num2str, C, 'UniformOutput', false);
%Write line-by-line
%  (a) prepare string format identifier, a la '%s,%s,%s\n' but with right # of "%s,":
format_str = [];for i=1:size(C_in_str,2), format_str=[format_str,'%s,'];end;format_str=[format_str(1:end-1), '\n'];
%  (b) write to file, line-by-line:
fid = fopen(fn,'wt');
for i=1:size(C_in_str,1)
    fprintf(fid, format_str, C_in_str{i,:});%fprintf(fid, '%s,%s,%s\n', C_in_str{i,:});
end
fclose(fid);