function zz=finsdim1(a);
%'Inserts' a first dimension of a matrix: A variable with the size (x,y) will be transformed into a variable of
%the size (1,x,y)
%Florian Habermacher, Atlanta 2005

sa=size(a);
%if sa(1)~=1 fdisp('Error in fdeldim1: First dimension must only contain one element; it here has ',sa(1),' elements');return;end;
da=length(size(a));
if da==1
    zz(1,sa(1))=a(sa(1));for x=1:sa(1) zz(1,x)=a(x);end;
elseif da==2
    zz(1,sa(1),sa(2))=a(sa(1),sa(2));for x=1:sa(1) for y=1:sa(2) zz(1,x,y)=a(x,y);end;end;
elseif da==3
    zz(1,sa(1),sa(2),sa(3))=a(sa(1),sa(2),sa(3));for x=1:sa(1) for y=1:sa(2) for z=1:sa(3) zz(1,x,y,z)=a(x,y,z);end;end;end;
elseif da==4
    zz(1,sa(1),sa(2),sa(3),sa(4))=a(sa(1),sa(2),sa(3),sa(4));for x=1:sa(1) for y=1:sa(2) for z=1:sa(3) for i=1:sa(4) zz(1,x,y,z,i)=a(x,y,z,i);end;end;end;end;
else    fdisp('Error in finsdim1: Number of dimensions of the input argument is not to exceed 4; it here is ',da,' dimensions.');
end;