function linkstring=flink(fileorfolder,str)
% function linkstring=flink(fileorfolder,[str])
% FH, 20151010
% Gives back string that when displayed in matlab shows a link to the file/folder fileorfolder
%   flink(fileorfolder) displays the string fileorfolder as a link to fileorfolder itself
%   flink(fileorfolder,str) displays the string str as a link to fileorfolder
% Cf. also http://blogs.mathworks.com/community/2007/07/09/printing-hyperlinks-to-the-command-window/
if nargin==1, str=fileorfolder;end;
linkstring=fs('<a href="matlab: winopen(''',fileorfolder,''')">',str,'</a>');