function result=frange(list,to_be_value,lowlim,highlim);
% function result=frange(list,to_be_value,lowlim,highlim);
% Sets all values of the list that are outside of the range
% [lowlim..highlim] to the to_be_value
%
% See fcond_rep for a more flexible but also slower method
%
% e.g. frange([1,2,4,6,10,7,9],NaN,'3','6'); to replace all the values
% bigger than 6 or smaller than 3 by the value NaN
%
% Florian Habermacher, EFLUM, EPFL, 2007

result=list;
for i=1:length(result)
    if (result(i)<lowlim)|(result(i)>highlim) result(i)=to_be_value;end;
end;