function data=freadm(fn,cols,empty);
% function data=freadm(fn,cols,empty);
% reads data from a file using textscan and makes a 2D matrix with cols
% columns.
% empty indicates the values/strings that are to be interpreted as NaN.
%
% Florian Habermacher, EFLUM, 2007

if nargin<3 empty='---';end; %attention: seems that empty='-' would cause problems with negative values that in ascii are marked with a "-" for "minus"... :-)
fid=fopen(fn);data=textscan(fid,'%f','TreatAsEmpty',empty);%k=['x=textscan(fid,',specifications,');'];eval(k);
fclose(fid);%x,length(x)
%for i=1:length(x) data(x,:)=x{i};end;
%length(data{1}),length(data{1})/cols
%whos data
data=reshape(data{1},cols,length(data{1})/cols)';
%x=textscan(fid,'%f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f','delimiter',' ','treatAsEmpty','n/a');
%fclose(fid);for i=1:16 eval(['z',num2str(i),'=x{',num2str(i),'};']);end;