function fstr= fs(varargin)
%Generates a string with arguments that can be any number of either type of: number and numerical,
%logical or strings as format.
%Florian Habermacher, Atlanta 2005
%Note: Suggested to use from now on "fs" which is a copy of "fstring" with a shorter function name..
fstr=''; %empty string
flogw=['false'; 'true '];
for i=1:nargin
    %clear a;
    %eval(['a=a' num2str(i) ';']);%executes the command a=ai, replacing i with the number it contains
    a=varargin{i};
    if isnumeric(a), fstr=[fstr, num2str(a)];elseif islogical(a),fstr=[fstr,flogw(a+1,:)];else fstr=[fstr,a];end;
end;