function save2Dfield(n,f);
%Florian Habermacher, Atlanta 2005
%function save2Dfield(n,f);
%Stores a 2D field f in a file with the name n.
%The format is:
%x y value on each line
%e.g.   1   1   .009
%       1   2   .053

dim=size(f);
dl=dim(1)*dim(2);rf=zeros(dl,3);
for x=1:dim(1) for y=1:dim(2)
        l=y+(x-1)*dim(2);
        rf(l,:)=[x y f(x,y)];
end;end;
save(n,'-ascii','rf');