function th=ftext(x,y,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14,a15,a16,a17,a18,a19,a20)
%function th=ftext(x,y,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14,a15,a16,a17,a18,a19,a20)
%Writes on the graph the arguments that can be one to 20 in number and numerical,
%logical or strings as format.
%Florian Habermacher, Atlanta 2005; SIAW-HSG 2012
%
%See also: "ftextset" and "ftextd"
global ftcoordmode ftFontWeight ftFontSize ftHorizontalAlignment ftVerticalAlignment ftColor
flogw=['false'; 'true '];
if size(ftcoordmode)==[0 0] ftcoordmode='inv';fdisp('ftext: ftcoordmode set to ''inv''; coordinates x/y will be inversed to y/x (good e.g. for pcolor...). Use ftextset to change parameters');end;
if size(ftFontWeight)==[0 0] ftFontWeight='normal';fdisp('ftext: ftFontWeight set to ''normal''. Use ftextset to change parameters');end;
if size(ftFontSize)==[0 0] ftFontSize=10;fdisp('ftext: ftFontSize set to 10. Use ftextset to change parameters');end;
if size(ftHorizontalAlignment)==[0 0] ftHorizontalAlignment='left';fdisp('ftext: ftHorizontalAlignment set to ''left''. Use ftextset to change parameters');end;
if size(ftVerticalAlignment)==[0 0] ftVerticalAlignment='Middle';fdisp('ftext: ftVerticalAlignment set to ''Middle''. Use ftextset to change parameters');end;
if size(ftColor)==[0 0] ftColor='k';fdisp('ftext: ftColor set to ''k'' (i.e., black). Use ftextset to change parameters');end;
fdispstr='';
for i=1:nargin-2
    clear a;
    eval(['a=a' num2str(i) ';']);
    if isnumeric(a), fdispstr=[fdispstr, num2str(a)];elseif islogical(a),fdispstr=[fdispstr,flogw(a+1,:)];else fdispstr=[fdispstr,a];end;
end;
switch ftcoordmode
    case 'inv',xx=y;yy=x;
    case 'direct',xx=x;yy=y;
    otherwise fdisp('Error in ftext: ftcoordmode must be set either to ''inv'' or to ''direct''');return;
end;
th=text(xx,yy,fdispstr,'FontWeight',ftFontWeight,'FontSize',ftFontSize,'HorizontalAlignment',ftHorizontalAlignment,'VerticalAlignment',ftVerticalAlignment,'Color',ftColor);
        