function dn=FromDST_daynum(year)
% FH, 2/11/2013
% function dn=FromDST_daynum(year) indicates the day of the change from daylight saving to normal time for Europe (dates acc. to http://www.webexhibits.org/daylightsaving/b.html?yearBox=2017 )
% cf. also ToDST_daynum.m and IsDST_change.m and DST_code.m
switch year
    case 2000, dn=datenum(year,10,29);    
    case 2001, dn=datenum(year,10,28);    
    case 2002, dn=datenum(year,10,27);    
    case 2003, dn=datenum(year,10,26);    
    case 2004, dn=datenum(year,10,31);    
    case 2005, dn=datenum(year,10,30);    
    case 2006, dn=datenum(year,10,29);    
    case 2007, dn=datenum(year,10,28);    
    case 2008, dn=datenum(year,10,26);    
    case 2009, dn=datenum(year,10,25);    
    case 2010, dn=datenum(year,10,31);    
    case 2011, dn=datenum(year,10,30);    
    case 2012, dn=datenum(year,10,28);    
    case 2013, dn=datenum(year,10,27);    
    case 2014, dn=datenum(year,10,26);    
    case 2015, dn=datenum(year,10,25);    
    case 2016, dn=datenum(year,10,30);    
    case 2017, dn=datenum(year,10,29);    
    otherwise error(fstring('ATTENTION, FromDSL_daynum not yet defined for year ',year,'. Consider extending year list in FromDSL_daynum. Abort.'));
end;
        