function farrow(h)
% function farrow(h)
% erases axis ticks and puts arrows
% taken almost directly from a blog at stackoverflow-website
% FH 21.11.13

% determine position of the axes
if nargin==0, h=gca; else axes(h);end;
axp = get(h,'Position');

% determine startpoint and endpoint for the arrows 
xs=axp(1);
xe=axp(1)+axp(3)+0.01;
ys=axp(2);
ye=axp(2)+axp(4)+0.01;

% make the arrows
annotation('arrow', [xs xe],[ys ys]);
annotation('arrow', [xs xs],[ys ye]);
% remove old box and axes
box off
set(gca,'YTick',[])
set(gca,'XTick',[])
%set(gca,'YColor',get(gca,'Color'))
%set(gca,'XColor',get(gca,'Color'))