function pk=fautoc(v,lags);
% function pk=fautoc(v,lags);
%
% Florian Habermacher, EPFL EFLUM 2007 Wow, a lot of data!
%
% Generates the autocorrelation for vector vect and the lags "lags".
% If lags are not given, lags will be [1:size(vect,1)]
%
% Written partially on the basis of Echo's code

len=length(v);
if nargin==1 lags=1:len;end;
nlags=length(lags);
pk=NaN(nlags,1);
for ik=1:nlags fprogress(ik,nlags,10);
    k=lags(ik);
    if k==1 m_min=v(1);m_max=nanmean(v(2:len));
    elseif k==len m_min=nanmean(v(1:len-1));m_max=v(len);
    else m_min=nanmean(v(1:k-1));m_max=nanmean(v(k+1:len));
    end;
    a_mi=v(1:len-k)-m_min;a_ma=v(k+1:len)-m_max;
    %if length(a_mi)~=length(a_ma) fdisp(k,length(a_mi),length(a_ma));end;
    up=nansum((a_mi).*(a_ma));%if length(up)~=1 fdisp('up',size(up));end;
    down=sqrt(nansum(a_mi.^2)*nansum(a_ma.^2));%if length(down)~=1 fdisp('down',size(down));end;
    pk(ik)=up/down;
end;