function result=fcond_rep(list,value,c1,c2,c3,c4,c5,c6,c7,c8,c9,c10);
% function result=fcond_rep(list,value,c1,c2,c3,c4,c5,c6,c7,c8,c9,c10);
% Conditional replacement. Allocates the "value" to all the elements in the "list" that match
% at least one of the conditions c.
% At least one of the conditions c1 to c10 is required as an input.
%
% ATTENTION: This function works only slowly! See frange for a faster
% method!
%
% e.g. fcond_rep([1,2,4,6,10,7,9],0,'>6','<=2'); to replace all the values
% bigger than 6 or smaller/equal to 2 with the value 0
%
% Florian Habermacher, EFLUM, EPFL, 2007

result=list;
if nargin<3 fdisp('<Attention in fcond_rep: at least 3 arguments expected!>');end;
length(list)
for j=1:nargin-2
    eval(fstring('c=c',j,';'));
    for i=1:length(list)
        if mod(i,1e3)==0 fdisp(i);end;
        eval(fstring('notok=(list(i)',c,');'));
        if notok list(i)=value;end;
    end;
end;
    