function zz=fdeldim1(a);
%'Deletes' the first dimension of a matrix: A variable with the size (1,x,y) will be transformed into a variable of
%the size (x,y)
%Florian Habermacher, Atlanta 2005

sa=size(a);
if sa(1)~=1 fdisp('Error in fdeldim1: First dimension must only contain one element; it here has ',sa(1),' elements');return;end;
da=length(size(a));
if da==2
    zz(sa(2))=0;for x=1:sa(2) zz(x)=a(1,x);end;
elseif da==3
    zz(sa(2),sa(3))=0;for x=1:sa(2) for y=1:sa(3) zz(x,y)=a(1,x,y);end;end;
elseif da==4
    zz(sa(2),sa(3),sa(4))=0;for x=1:sa(2) for y=1:sa(3) for z=1:sa(4) zz(x,y,z)=a(1,x,y,z);end;end;end;
elseif da==5
    zz(sa(2),sa(3),sa(4),sa(5))=0;for x=1:sa(2) for y=1:sa(3) for z=1:sa(4) for i=1:sa(5) zz(x,y,z,i)=a(1,x,y,z,i);end;end;end;end;
else    fdisp('Error in fdeldim1: Number of dimensions of the input argument is not to exceed 5; it here is ',da,' dimensions.');
end;