function ffig(a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14,a15,a16,a17,a18,a19,a20)
%Florian Habermacher, Lausanne 2006
%
%function
%ffig(a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14,a15,a16,a17,a18,a19,a20)
%
%opens figure; clears it first if it exists already. a1 to a20 are the
%optional arguments which will be passed to figure.
%
%the first argument can be the number of the figure, some other possible
%arguments (always the name of the property as one argument with its value
%following it as the next argument):
%   'name','TITLE OF THE FIGURE...'     --> title of the figure
%   'numbertitle','off'                 --> turns the number of the figure off
%
%two special arguments for ffig are:
%-   'fscrpos',[startx starty widthx widthy]: this will set the position and
%   width of the figure to the fractions startx, starty, widthx and widthy
%   (fractions of the total window size)
%
%-   'fhold','off'/'on': to sed hold off or hold on for the figure.
%
%
%e.g.      ffig('fscrpos',[.3 .3 .4 .4],'fhold','off','numbertitle','off','name','test window')
figstr='figure(';
holddef=false;
i=1;
if nargin>0 if isnumeric(a1) figstr=[figstr,',',num2str(a1)];i=i+1;end;end;
while i<=nargin
%for i=1:nargin
    clear a;
    eval(['a=a' num2str(i) ';']);
    if fsame123D(a,'fscrpos')
        scrsz = get(0,'ScreenSize');
        eval(['ap=a' num2str(i+1) ';']);
        ap(1)=scrsz(1)+ap(1)*(scrsz(3)-scrsz(1));
        ap(2)=scrsz(2)+ap(2)*(scrsz(4)-scrsz(2));
        ap(3)=scrsz(1)+ap(3)*(scrsz(3)-scrsz(1));
        ap(4)=scrsz(2)+ap(4)*(scrsz(4)-scrsz(2));
        figstr=[figstr,',''Position'',[',num2str(ap(1)),' ',num2str(ap(2)),' ',num2str(ap(3)),' ',num2str(ap(4)),']'];
        i=i+1;
    elseif fsame123D(a,'fhold')
        holddef=true;
        eval(['ap=a' num2str(i+1) ';']);if fsame123D(ap,'on') holdit=true; else holdit=false;end;
        i=i+1;
    else
        if isnumeric(a) figstr=[figstr,',',num2str(a)];
        else figstr=[figstr,',''',a,''''];
        end;
    end;
    i=i+1;
end;
if nargin==0 figstr='figure';
else
    figstr=[figstr(1:7),figstr(9:length(figstr)),');'];
end;
eval(figstr);close;eval(figstr);
if holddef if holdit hold on;else hold off;end;end;
