function str=fn2sfix(num,numchar)
% function fn2sfix(num,numchar)
%
% num2str but with at least 'numchar' number of characters: if number shorter, then filled up from left side with zeros
%
% 
%
% E.g.:
%  fnum2strfix(3,2) = 03
%  fnum2strfix(3.2,5) = 003.2
%
% Florian Habermacher, 2 Jan 2015, florian.habermacher@gmail.com.
str=num2str(num);
str=fcond(length(str)<numchar,[char('0'*ones(1,numchar-length(str))),str],str);