function fpercx(axe)
% function fpercx(axes)
% Transforms the [numeric] labels on the x-axis of the axes "axe" into percentages
% "axe" is facultative - if it is left out, the function uses the currently active axes (gca)
%
% See also fpercl, fpercy, fpercz
%
% Florian Habermacher, SIAW-HSG, 3.4.2012
if nargin==0, axe=gca;end;
nam='xticklabel';
labels=get(axe,nam);
%disp('length:');disp(length(labels));disp('lm:');disp(num2str(100*str2num(labels)));disp('ol:');disp(ones(length(labels),1)*'%');
%labels_modif=[num2str(100*str2num(labels)) ones(length(labels),1)*'%'];
labels_modif=[num2str(100*str2num(labels)) ones(size(labels,1),1)*'%'];
set(axe,nam,labels_modif);
