function rou=fround(num,flo);
% function rou=fround(num,flo);
% 
% Florian Habermacher, EPFL - EFLUM - Lausanne, 2007
%
% Rounds the double number for only having flo floating digits...
% Also works with negative "flo"...
%
% e.g. fround(6.235,2) will return 6.24,
%      fround(1246.235,-2) will return 1200

rou=10^(-flo)*round(num*10^flo);
