function sm=fsmm(a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14,a15,a16,a17,a18,a19,a20)
%f string matrix make; see also "fsmg" - f string matrix get

%e.g.     sm=fsmm('flo','florian'); --> disp(fsmg(sm,1))-->writes "flo" and
%disp(fsmg(sm,2))-->writes "florian"
%Generates a string-matrix with the strings a1... It solves the problem,
%that in a normal string matrix (vector) you can't have strings with
%different lenghts, e.g. sm=['flo'; 'florian']; wouldn't work!)
%ATTENTION: space signs (" ") at the end of the strings will be
%eliminated!!!
%Florian Habermacher, Lausanne 2006
ml=0;
for i=1:nargin
    eval(['a=a' num2str(i) ';']); %executes the command a=ai, replacing i with the number it contains
    if isnumeric(a) a=num2str(a);end;
    while a(length(a))==' ', a=a(1:length(a)-1);end;
    eval(['a' num2str(i) '=a;']);
    if length(a)>ml ml=length(a);end;
end;
sm=zeros(nargin,ml);
for i=1:nargin
    eval(['a=a' num2str(i) ';']); %executes the command a=ai, replacing i with the number it contains
    while length(a)<ml a=fstring(a,' ');end;
    if length(a)>ml ml=length(a);end;
    eval(['a' num2str(i) '=a;']);

    sm(i,:)=a;
end;
comstr='sm=[a1';
for i=2:nargin
    comstr=[comstr ';a' num2str(i) ];
end;
comstr=[comstr '];'];
eval(comstr);