function [colChar]=fxlsColNum2Str(colNum)
%FH, 20151008, same as xlsColNum2Str, but allowing for only one colNum as input; giving back the result as a string rather than a cell!
% %function [colChar]=xlsColNum2Str(colNum)
% %XLSCOLNUM2STR takes in an array of numbers and returns a cellular array
% %of the same size with cell of corresponding Excel column names.
% %
% %For example:
% %n=[1  10;
% %   53 256]
% %c=xlsColNum2Str(n);
% %c={'A' , 'J';
% %   'BA', 'IV'}
% %Note: up to Excel 2003 the number of columns was limited to 256, as of
% %Excel 2007 the number of columns has increased to 16,384 or 'XFD'
% %This function is designed to take accept any integer so proper handling 
% %of the number of columns should be taken care of outside this function
if numel(colNum)>1 error('fxlsColNum2Str: Hey, colNum here has to be a single number; use "xlsColNum2Str" instead if want to have more than 1 element at once!');end;
colCharCell=xlsColNum2Str(colNum);
colChar=colCharCell{1};