function structvar2=fxlsreadhRyan2(xlsfn,sheet)
%function structvar2=fxlsreadhRyan2(xlsfn,[sheet])
%similar as fxlsreadh but saves all resulting variables as subvariables of the structure variable "structname".

% note, must add "global mydata myheader;" first in the main program!!
global mydata myheader mydatcell;
%if nargin==1 [mydata, myheader,mydatcell] = xlsread(xlsfn);
if nargin==1 [mydata, myheader_orig,mydatcell] = xlsread(xlsfn);
elseif nargin==2 [mydata, myheader_orig,mydatcell] = xlsread(xlsfn,sheet);
else error('Hey, must provide 1 or 2 arguments to fxlsreadhRyan2. Abort.');
end;
myheader=genvarname(myheader_orig(1,:));
%for i = 1:length(myheader)
%size(myheader)
for i = 1:numel(myheader)
% compose a command to assign each column to a variable with the same 
% name as the header
if ischar(mydatcell{2,i}) % for string columns
  commandExec = ['structvar.',myheader{i}, ' = ', 'mydatcell(2:end,', num2str(i) , ');']; % for string columns: extract a la a_str = abc(:,1) ( e.g. for abc={'a', 3;'b',2} )
  for n=1:length(commandExec),if commandExec(n)=='-' commandExec(n)='_';end;end;
else
  commandExec = ['structvar.',myheader{i}, ' = ', '[mydatcell{2:end,', num2str(i) , '}];']; % for number columns: extract a la a_num=[abc{:,2}] ( e.g. for abc={'a', 3;'b',2} )
end;
%commandExec = ['structvar.',myheader{i}, ' = ', 'mydata(:,', num2str(i) , ');'];commandExec
%commandExec
% execute the composed command to actually create the variable
eval(commandExec );%evalin('base', commandExec );
end;structvar2=structvar;%[mydata,myheader,mydatcell]=deal(NaN);
